program DPtest
  use off2ang2d_sd_mod
  use dotst

  implicit none

  real, dimension (2)		  :: dot1, dot2
  integer, parameter		  :: nz = 500
  integer, parameter		  :: nhx = 49
  integer, parameter		  :: nax = 121
  integer, parameter		  :: style = 1
  real,    parameter		  :: z0 = 0.
  real,    parameter		  :: hx0 = -600.
  real,    parameter		  :: dz = 10.
  real,    parameter		  :: dhx = 25.
  real,    parameter		  :: dax = 1.
  real,    parameter		  :: axmin = -60.

  call off2ang2d_sd_init(z0, hx0, dz, dhx, nz, nhx, nax, dax, axmin, style)
  call dot_test( off2ang2d_sd_oper, nz*nax, nz*nhx, dot1, dot2 )
end program DPtest
